## org.apache.lucene.search
Class TopFieldDocs

    java.lang.Object
      org.apache.lucene.search.TopDocs
          org.apache.lucene.search.TopFieldDocs

All Implemented Interfaces:
  Serializable

    public class TopFieldDocs

extends TopDocs

Expert: Returned by low-level sorted search implementations.

Created: Feb 12, 2004 8:58:46 AM

Since:
  lucene 1.4
Version:
  $Id: TopFieldDocs.java 472959 2006-11-09 16:21:50Z yonik $
Author:
  Tim Jones (Nacimiento Software)
See Also:
  `Searcher.search(Query,Filter,int,Sort)`, Serialized Form

Field Summary
`SortField[]` `fields` The fields which were used to sort results by.

Fields inherited from class org.apache.lucene.search.TopDocs
`scoreDocs, totalHits`

Method Summary

Methods inherited from class org.apache.lucene.search.TopDocs
`getMaxScore, setMaxScore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fields

    public SortField[] fields

  The fields which were used to sort results by.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.